Retrieve an asset backup
Returns a representation of the specified asset backup.
Path Parameters
- backup_id string required
The Clumio-assigned ID of the backup.
- 200
- default
Success
- application/api.clumio.backup-gcp-protection-groups-gcs-assets=v1+json
- Schema
- Example (from schema)
Schema
- backed_up_object_count uint64
The number of objects in the protection group GCS asset that were successfully backed up.
- backed_up_size_bytes uint64
The total size in bytes of new (non-deleted) objects in the protection group GCS asset that were backed up in this backup. Excludes deleted/tombstone objects.
- bucket_id string
The Clumio-assigned ID of the GCS bucket.
- bucket_name string
The name of the GCS bucket.
- expiration_timestamp string
The timestamp of when this backup expires. Represented in RFC-3339 format.
- failed_object_count uint64
The number of objects in the protection group GCS asset that failed to be backed up.
- failed_size_bytes uint64
The total size in bytes of objects in the protection group GCS asset that failed to be backed up.
- gcp_region string
The GCP region in which the backup resides. For example,
us-west1. - id string
The Clumio-assigned ID of the protection group GCS asset backup.
- missing_object_count int64
The number of objects in the protection group GCS asset that were missing during backup.
- missing_size_bytes int64
The total size in bytes of objects in the protection group GCS asset that were missing during backup.
- project_id string
The GCP project ID.
- protection_group_gcs_asset_id string
The Clumio-assigned ID of the protection group GCS asset.
- protection_group_id string
The Clumio-assigned ID of the protection group.
- protection_group_version int64
The version of the protection group at the time the backup was taken.
- start_timestamp string
The timestamp of when this backup started. Represented in RFC-3339 format.
- type string
The type of backup. Possible values include
gcp_protection_group_gcs_asset_backup.
{
"backed_up_object_count": 0,
"backed_up_size_bytes": 0,
"bucket_id": "string",
"bucket_name": "string",
"expiration_timestamp": "string",
"failed_object_count": 0,
"failed_size_bytes": 0,
"gcp_region": "string",
"id": "string",
"missing_object_count": 0,
"missing_size_bytes": 0,
"project_id": "string",
"protection_group_gcs_asset_id": "string",
"protection_group_id": "string",
"protection_group_version": 0,
"start_timestamp": "string",
"type": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}